package com.dxhy.core.job.pojo;

import lombok.Data;

/**
 * TaxCurrent.java 企业税款所属期
 *
 * @author X Yang
 * @date
 */
@Data
public class LegalizeResult {

    private String invoiceCode;
    private String invoiceNo;
    /**
     *认证状态
     **/
    private String legalizeState;
    /**
     *认证时间
     **/
    private String legalizeDate;
    /**
     *认证处理状态
     **/
    private String authState;
    /**
     *失败原因
     **/
    private String failureReason;
    /**
     *认证方式 1-勾选认证 2-扫描认证
     **/
    private String legalizeType;
    /**
     * 税款所属期
     **/
    private String legalizeBelongDate;
    /**
     * 认证类型 税局A("1", "抵扣"), B("2", "退税"), C("3", "代理退税"), D("4", "不抵扣"), E("5", "撤销认证"), F("6", "撤销不抵扣发票已认证");
     */
    private String rzlx;
    /**
     * 信息来源
     * 0扫描认证  1系统推送 2出口转内销 3异常凭证转入
     **/
    private String xxly;
    private String yxse;
    /**
     *  逾期可勾选标志
     *  0默认值  ，1 可勾选逾期
     **/
    private String yqkgxbz;
    /**
     *管理状态  0 正常  1 异常 2疑似非正常
     **/
    private String glzt;
    /**
     * 异常类型
     * 0发票状态异常
     * 1申报用途变更（抵扣变代办退税）
     * 2管理状态异常、注：发票状态为正常时为空
     **/
    private String yclx;
    /**
     * 缴款书号码
     */
    private String customsNo;
    /**
     * 缴款书填发日期
     */
    private String fillInDate;
    /**
     * 缴款金额
     */
    private String amount;
    /**
     * 出口转内销证明编号
     */
    private String toDivertCode;
    private String bdkMessage;

    /*public String getBdkMessage() {
        return bdkMessage;
    }

    public void setBdkMessage(String bdkMessage) {
        this.bdkMessage = bdkMessage;
    }

    public String getInvoiceCode() {
        return invoiceCode;
    }

    public void setInvoiceCode(String invoiceCode) {
        this.invoiceCode = invoiceCode;
    }

    public String getInvoiceNo() {
        return invoiceNo;
    }

    public void setInvoiceNo(String invoiceNo) {
        this.invoiceNo = invoiceNo;
    }

    public String getLegalizeState() {
        return legalizeState;
    }

    public void setLegalizeState(String legalizeState) {
        this.legalizeState = legalizeState;
    }

    public String getLegalizeDate() {
        return legalizeDate;
    }

    public void setLegalizeDate(String legalizeDate) {
        this.legalizeDate = legalizeDate;
    }

    public String getAuthState() {
        return authState;
    }

    public void setAuthState(String authState) {
        this.authState = authState;
    }

    public String getFailureReason() {
        return failureReason;
    }

    public void setFailureReason(String failureReason) {
        this.failureReason = failureReason;
    }

    public String getLegalizeType() {
        return legalizeType;
    }

    public void setLegalizeType(String legalizeType) {
        this.legalizeType = legalizeType;
    }

    public String getLegalizeBelongDate() {
        return legalizeBelongDate;
    }

    public void setLegalizeBelongDate(String legalizeBelongDate) {
        this.legalizeBelongDate = legalizeBelongDate;
    }

    public String getRzlx() {
        return rzlx;
    }

    public void setRzlx(String rzlx) {
        this.rzlx = rzlx;
    }

    public String getXxly() {
        return xxly;
    }

    public void setXxly(String xxly) {
        this.xxly = xxly;
    }

    public String getYxse() {
        return yxse;
    }

    public void setYxse(String yxse) {
        this.yxse = yxse;
    }

    public String getYqkgxbz() {
        return yqkgxbz;
    }

    public void setYqkgxbz(String yqkgxbz) {
        this.yqkgxbz = yqkgxbz;
    }

    public String getGlzt() {
        return glzt;
    }

    public void setGlzt(String glzt) {
        this.glzt = glzt;
    }

    public String getYclx() {
        return yclx;
    }

    public void setYclx(String yclx) {
        this.yclx = yclx;
    }

    public String getCustomsNo() {
        return customsNo;
    }

    public void setCustomsNo(String customsNo) {
        this.customsNo = customsNo;
    }

    public String getFillInDate() {
        return fillInDate;
    }

    public void setFillInDate(String fillInDate) {
        this.fillInDate = fillInDate;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getToDivertCode() {
        return toDivertCode;
    }

    public void setToDivertCode(String toDivertCode) {
        this.toDivertCode = toDivertCode;
    }*/
}
